diff --git a/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java b/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
index b9cacd461..9765a92d1 100644
--- a/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/WorldRenderer.java
@@ -9,12 +9,16 @@ import com.mojang.logging.LogUtils;
 import net.minecraft.client.render.window.CursorShape;
 import net.minecraft.client.render.worldtype.WorldTypeFXDispatcher;
 import net.minecraft.core.block.Blocks;
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.animal.MobPig;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.weather.IPrecipitation;
 import org.jetbrains.annotations.NotNull;
 import org.joml.Matrix4f;
+import org.joml.Vector3d;
+import org.joml.Vector3dc;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 import org.lwjgl.util.glu.GLU;
@@ -41,21 +45,18 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.util.debug.Debug;
 import net.minecraft.core.util.phys.HitResult;
-import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Time;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.core.world.weather.Weather;
 import org.slf4j.Logger;
 
-public class WorldRenderer
-{
+public class WorldRenderer {
     private static final Logger LOGGER = LogUtils.getLogger();
     public static final long nsPerSecond = 1_000_000_000L;
     public final LightmapHelper lightmapHelper;
@@ -67,7 +68,7 @@ public class WorldRenderer
     private Entity pointedEntity;
     private final MouseFilter mouseFilterXAxis;
     private final MouseFilter mouseFilterYAxis;
-    private float fovModifier;
+    private final float fovModifier;
     private float fovModifierLast;
     private long systemTime;
     private final Random random;
@@ -75,157 +76,153 @@ public class WorldRenderer
     public boolean zooming = false;
     private float zoomProgress;
 
-    public WorldRenderer(Minecraft minecraft)
-    {
-    	this.mc = minecraft;
-    	this.lightmapHelper = new LightmapHelper(minecraft, this);
-        farPlaneDistance = 0.0F;
-        pointedEntity = null;
-        mouseFilterXAxis = new MouseFilter();
-        mouseFilterYAxis = new MouseFilter();
-        fovModifier = 0.0F;
-        fovModifierLast = 0.0F;
-        systemTime = 0L;
-        random = new Random();
-        rainSoundCounter = 0;
-        itemRenderer = new ItemRenderer(minecraft);
-        fogManager = new FogManager(mc);
+    public WorldRenderer(Minecraft minecraft) {
+        this.mc = minecraft;
+        this.lightmapHelper = new LightmapHelper(minecraft, this);
+        this.farPlaneDistance = 0.0F;
+        this.pointedEntity = null;
+        this.mouseFilterXAxis = new MouseFilter();
+        this.mouseFilterYAxis = new MouseFilter();
+        this.fovModifier = 0.0F;
+        this.fovModifierLast = 0.0F;
+        this.systemTime = 0L;
+        this.random = new Random();
+        this.rainSoundCounter = 0;
+        this.itemRenderer = new ItemRenderer(minecraft);
+        this.fogManager = new FogManager(this.mc);
     }
 
-    public void updateRenderer()
-    {
+    public void updateRenderer() {
         updateSpeedFov();
-        fovModifierLast = fovModifier;
-        if(mc.activeCamera == null)
-        {
-            mc.activeCamera = new EntityCameraFirstPerson(mc, mc.thePlayer);
+        this.fovModifierLast = this.fovModifier;
+        if (this.mc.activeCamera == null) {
+            this.mc.activeCamera = new EntityCameraFirstPerson(this.mc, this.mc.thePlayer);
         }
-        mc.activeCamera.tick();
+        this.mc.activeCamera.tick();
 
-        fogManager.updateBrightness();
+        this.fogManager.updateBrightness();
 
-        rendererUpdateCount++;
-        itemRenderer.updateEquippedItem();
+        this.rendererUpdateCount++;
+        this.itemRenderer.updateEquippedItem();
         addRainParticles();
-        lightmapHelper.tick();
+        this.lightmapHelper.tick();
     }
 
     private float b = 1.0f;
     private float a = 1.0f;
     private float currentFovModifier = 1.0f;
 
-    private void updateSpeedFov()
-    {
-        PlayerLocal player = mc.thePlayer;
-        currentFovModifier = mc.gameSettings.fovModification.value ? player.getFovModifier() : 1f;
-        a = b;
-        b += (currentFovModifier - b) * 0.5f;
+    private void updateSpeedFov() {
+        PlayerLocal player = this.mc.thePlayer;
+        this.currentFovModifier = this.mc.gameSettings.fovModification.value ? player.getFovModifier() : 1f;
+        this.a = this.b;
+        this.b += (this.currentFovModifier - this.b) * 0.5f;
     }
 
-	public void getMouseOver(float partialTicks) {
-		if(mc.activeCamera == null) {
-			return;
-		}
-		if(mc.currentWorld == null) {
-			return;
-		}
-		
-		final double blockReach = mc.playerController.getBlockReachDistance();
-		final double entityReach = mc.playerController.getEntityReachDistance();
-		
-		Vec3 pos1 = mc.thePlayer.getPosition(partialTicks, true);
-		Vec3 look = mc.thePlayer.getViewVector(partialTicks);
-		Vec3 pos2 = pos1.add(look.x * blockReach, look.y * blockReach, look.z * blockReach);
-		
-		// Raytrace blocks
-		mc.objectMouseOver = mc.thePlayer.rayCast(blockReach, partialTicks, false, false, true);
+    public void getMouseOver(float partialTicks) {
+        if (this.mc.activeCamera == null) {
+            return;
+        }
+        if (this.mc.currentWorld == null) {
+            return;
+        }
+
+        final double blockReach = this.mc.playerController.getBlockReachDistance();
+        final double entityReach = this.mc.playerController.getEntityReachDistance();
+
+        Vector3dc pos1 = this.mc.thePlayer.getPosition(partialTicks, true);
+        Vector3dc look = this.mc.thePlayer.getViewVector(partialTicks);
+        assert look != null;
+        Vector3dc pos2 = pos1.add(look.x() * blockReach, look.y() * blockReach, look.z() * blockReach, new Vector3d());
+
+        // Raytrace blocks
+        this.mc.objectMouseOver = this.mc.thePlayer.rayCast(blockReach, partialTicks, false, false, true);
 //		mc.objectMouseOver = mc.currentWorld.checkBlockCollisionBetweenPoints(pos1, pos2, false, false, true);
 
-		// Calculate again because block raytrace changes the values
+        // Calculate again because block raytrace changes the values
 //		pos1 = mc.thePlayer.getPosition(partialTicks, false);
 //		look = mc.thePlayer.getViewVector(partialTicks);
 //		pos2 = pos1.add(look.x * entityReach, look.y * entityReach, look.z * entityReach);
-		
-		double hitBlockDistance = 1000.0;
-		if(mc.objectMouseOver != null) {
-			hitBlockDistance = pos1.distanceTo(mc.objectMouseOver.location);
-		}
-		
-		this.pointedEntity = null;
-		float expand = 1.0f;
-		AABB entitySearchBox = mc.thePlayer.bb.expand(look.x * entityReach, look.y * entityReach, look.z * entityReach).grow(expand, expand, expand);
-		
-		List<Entity> entities = mc.currentWorld.getEntitiesWithinAABBExcludingEntity(mc.thePlayer, entitySearchBox);
-		
-		// Search for the closest hit entity
-		double pointedEntityDistance = 0.0;
-		for (int i = 0; i < entities.size(); i++) {
-			Entity entity = entities.get(i);
-			if(!entity.isSelectable()) {
-				continue;
-			}
-			
-			float hitRadius = entity == mc.thePlayer.vehicle ? 0 : entity.getPickRadius();
-			AABB hitBox = entity.bb.grow(hitRadius, hitRadius, hitRadius);
-			
-			if(hitBox.contains(pos1)) {
-				this.pointedEntity = entity;
-				pointedEntityDistance = 0.0;
-				continue;
-			}
-			
-			HitResult hitResult = hitBox.clip(pos1, pos2);
-			if(hitResult == null) {
-				continue;
-			}
-			
-			double entityDistance = pos1.distanceTo(hitResult.location);
-			if(this.pointedEntity == null || entityDistance < pointedEntityDistance) {
-				this.pointedEntity = entity;
-				pointedEntityDistance = entityDistance;
-			}
-		}
-		
-		// Check if the entity can be reached, and if the entity is not behind a block
-		if(pointedEntityDistance > hitBlockDistance || pointedEntityDistance > entityReach) {
-			this.pointedEntity = null;
-		}
-		
-		if(pointedEntity != null) {
-			mc.objectMouseOver = new HitResult.Entity(pointedEntity);
-		}
-		
-	}
-
-    private float getFOVModifier(float partialTick, boolean isModifiedByFOV)
-    {
+
+        double hitBlockDistance = 1000.0;
+        if (this.mc.objectMouseOver != null) {
+            hitBlockDistance = pos1.distance(this.mc.objectMouseOver.location);
+        }
+
+        this.pointedEntity = null;
+        float expand = 1.0f;
+        AABBd entitySearchBox = MathHelper.aabbExpand(this.mc.thePlayer.bb, look.x() * entityReach, look.y() * entityReach, look.z() * entityReach, new AABBd());
+        MathHelper.aabbGrow(entitySearchBox, expand, expand, expand, entitySearchBox);
+
+        List<Entity> entities = this.mc.currentWorld.getEntitiesWithinAABBExcludingEntity(this.mc.thePlayer, entitySearchBox);
+
+        // Search for the closest hit entity
+        double pointedEntityDistance = 0.0;
+        for (int i = 0; i < entities.size(); i++) {
+            Entity entity = entities.get(i);
+            if (!entity.isSelectable()) {
+                continue;
+            }
+
+            float hitRadius = entity == this.mc.thePlayer.vehicle ? 0 : entity.getPickRadius();
+            AABBdc hitBox = MathHelper.aabbGrow(entity.bb, hitRadius, hitRadius, hitRadius, new AABBd());
+
+            if (hitBox.containsPoint(pos1)) {
+                this.pointedEntity = entity;
+                pointedEntityDistance = 0.0;
+                continue;
+            }
+
+            HitResult hitResult = MathHelper.aabbClip(hitBox, pos1, pos2);
+            if (hitResult == null) {
+                continue;
+            }
+
+            double entityDistance = pos1.distance(hitResult.location);
+            if (this.pointedEntity == null || entityDistance < pointedEntityDistance) {
+                this.pointedEntity = entity;
+                pointedEntityDistance = entityDistance;
+            }
+        }
+
+        // Check if the entity can be reached, and if the entity is not behind a block
+        if (pointedEntityDistance > hitBlockDistance || pointedEntityDistance > entityReach) {
+            this.pointedEntity = null;
+        }
+
+        if (this.pointedEntity != null) {
+            this.mc.objectMouseOver = new HitResult.Entity(this.pointedEntity);
+        }
+
+    }
+
+    private float getFOVModifier(float partialTick, boolean isModifiedByFOV) {
         Mob entityliving = null;
-        if (mc.activeCamera instanceof EntityCamera entityCamera) {
+        if (this.mc.activeCamera instanceof EntityCamera entityCamera) {
             entityliving = entityCamera.mob;
         }
         float fov = 70f;
-        if(isModifiedByFOV) {
-            fov = (int)(mc.activeCamera.getFov() * 100 + 30);
-            fov *= a + (b - a) * partialTick;
+        if (isModifiedByFOV) {
+            fov = (int) (this.mc.activeCamera.getFov() * 100 + 30);
+            fov *= this.a + (this.b - this.a) * partialTick;
         }
-        if(mc.gameSettings.fovModification.value && CameraUtil.isUnderLiquid(mc.activeCamera, mc.currentWorld, Material.water, partialTick)) {
+        if (this.mc.gameSettings.fovModification.value && CameraUtil.isUnderLiquid(this.mc.activeCamera, this.mc.currentWorld, Materials.WATER, partialTick)) {
             fov = fov - 10;
         }
-        if(entityliving != null && entityliving.getHealth() <= 0) {
-            float f2 = (float)entityliving.deathTime + partialTick;
+        if (entityliving != null && entityliving.getHealth() <= 0) {
+            float f2 = (float) entityliving.deathTime + partialTick;
             fov /= (1.0F - 500F / (f2 + 500F)) * 2.0F + 1.0F;
         }
         return fov + this.fovModifierLast + (this.fovModifier - this.fovModifierLast) * partialTick;
     }
 
     @Deprecated
-    private void hurtCameraEffect(float partialTick)
-    {
+    private void hurtCameraEffect(float partialTick) {
         if (!(this.mc.activeCamera instanceof EntityCamera entityCamera)) return;
         Mob mob = entityCamera.mob;
-        float f1 = (float)mob.hurtTime - partialTick;
-        if(mob.getHealth() <= 0) {
-            float f2 = (float)mob.deathTime + partialTick;
+        float f1 = (float) mob.hurtTime - partialTick;
+        if (mob.getHealth() <= 0) {
+            float f2 = (float) mob.deathTime + partialTick;
             glRotatef(40F - 8000F / (f2 + 200F), 0.0F, 0.0F, 1.0F);
         }
         if (f1 >= 0.0F) {
@@ -241,9 +238,9 @@ public class WorldRenderer
     private @NotNull Matrix4f hurtCameraEffect(@NotNull Matrix4f matrix, float partialTick) {
         if (!(this.mc.activeCamera instanceof EntityCamera entityCamera)) return matrix;
         Mob mob = entityCamera.mob;
-        float hurtInterp = (float)mob.hurtTime - partialTick;
-        if(mob.getHealth() <= 0) {
-            float f2 = (float)mob.deathTime + partialTick;
+        float hurtInterp = (float) mob.hurtTime - partialTick;
+        if (mob.getHealth() <= 0) {
+            float f2 = (float) mob.deathTime + partialTick;
             matrix.rotate(org.joml.Math.toRadians(40F - 8000F / (f2 + 200F)), 0.0F, 0.0F, 1.0F);
         }
         if (hurtInterp >= 0.0F) {
@@ -258,11 +255,8 @@ public class WorldRenderer
     }
 
     @Deprecated
-    private void setupViewBobbing(float partialTick, boolean isHand)
-    {
-        if (mc.activeCamera instanceof EntityCamera && ((EntityCamera) mc.activeCamera).mob instanceof Player)
-        {
-            Player player = (Player)((EntityCamera) mc.activeCamera).mob;
+    private void setupViewBobbing(float partialTick, boolean isHand) {
+        if (this.mc.activeCamera instanceof EntityCamera && ((EntityCamera) this.mc.activeCamera).mob instanceof Player player) {
             float walkDist = -MathHelper.lerp(player.walkDistO, player.walkDist, partialTick);
             float cameraVel = MathHelper.lerp(player.cameraVelocityOld, player.cameraVelocity, partialTick);
             float cameraPitch = MathHelper.lerp(player.prevCameraPitch, player.cameraPitch, partialTick);
@@ -283,7 +277,7 @@ public class WorldRenderer
     }
 
     private @NotNull Matrix4f setupViewBobbing(@NotNull Matrix4f matrix, float partialTick, boolean isHand) {
-        if (mc.activeCamera instanceof EntityCamera entityCamera && entityCamera.mob instanceof Player player) {
+        if (this.mc.activeCamera instanceof EntityCamera entityCamera && entityCamera.mob instanceof Player player) {
             float walkDist = -MathHelper.lerp(player.walkDistO, player.walkDist, partialTick);
             float cameraVel = MathHelper.lerp(player.cameraVelocityOld, player.cameraVelocity, partialTick);
             float cameraPitch = MathHelper.lerp(player.prevCameraPitch, player.cameraPitch, partialTick);
@@ -304,69 +298,54 @@ public class WorldRenderer
         return matrix;
     }
 
-    private void setupCamera(float partialTick)
-    {
-        if (mc.activeCamera instanceof EntityCamera entityCamera)
-        {
+    private void setupCamera(float partialTick) {
+        if (this.mc.activeCamera instanceof EntityCamera entityCamera) {
             Mob mob = entityCamera.mob;
-            if (mc.currentScreen instanceof ScreenPhotoMode)
-            {
-                mc.activeCamera = new EntityCameraIsometric(mc, mob);
-            }
-            else if (mob.isPlayerSleeping())
-            {
-                if (!(mc.activeCamera instanceof EntityCameraSleeping))
-                {
-                    mc.activeCamera = new EntityCameraSleeping(mc, mob,
-                            MathHelper.floor(mob.x), MathHelper.floor(mob.y), MathHelper.floor(mob.z),
-                            mc.activeCamera.getX(partialTick), mc.activeCamera.getY(partialTick), mc.activeCamera.getZ(partialTick), mc.activeCamera.getYRot(partialTick), mc.activeCamera.getXRot(partialTick)
+            if (this.mc.currentScreen instanceof ScreenPhotoMode) {
+                this.mc.activeCamera = new EntityCameraIsometric(this.mc, mob);
+            } else if (mob.isPlayerSleeping()) {
+                if (!(this.mc.activeCamera instanceof EntityCameraSleeping)) {
+                    this.mc.activeCamera = new EntityCameraSleeping(this.mc, mob,
+                        MathHelper.floor(mob.x), MathHelper.floor(mob.y), MathHelper.floor(mob.z),
+                        this.mc.activeCamera.getX(partialTick), this.mc.activeCamera.getY(partialTick), this.mc.activeCamera.getZ(partialTick), this.mc.activeCamera.getYRot(partialTick), this.mc.activeCamera.getXRot(partialTick)
                     );
                 }
-            }
-            else if (mc.gameSettings.thirdPersonView.value == 0 && !(mc.activeCamera instanceof EntityCameraFirstPerson))
-            {
-                mc.activeCamera = new EntityCameraFirstPerson(mc, mob);
-            }
-            else if (mc.gameSettings.thirdPersonView.value == 1 && !(mc.activeCamera instanceof EntityCameraThirdPersonRear))
-            {
-                mc.activeCamera = new EntityCameraThirdPersonRear(mc, mob);
-            }
-            else if (mc.gameSettings.thirdPersonView.value == 2 && !(mc.activeCamera instanceof EntityCameraThirdPersonFront))
-            {
-                mc.activeCamera = new EntityCameraThirdPersonFront(mc, mob);
+            } else if (this.mc.gameSettings.thirdPersonView.value == 0 && !(this.mc.activeCamera instanceof EntityCameraFirstPerson)) {
+                this.mc.activeCamera = new EntityCameraFirstPerson(this.mc, mob);
+            } else if (this.mc.gameSettings.thirdPersonView.value == 1 && !(this.mc.activeCamera instanceof EntityCameraThirdPersonRear)) {
+                this.mc.activeCamera = new EntityCameraThirdPersonRear(this.mc, mob);
+            } else if (this.mc.gameSettings.thirdPersonView.value == 2 && !(this.mc.activeCamera instanceof EntityCameraThirdPersonFront)) {
+                this.mc.activeCamera = new EntityCameraThirdPersonFront(this.mc, mob);
             }
         }
 
     }
 
     @Deprecated
-    private void orientCamera(float partialTick)
-    {
+    private void orientCamera(float partialTick) {
         setupCamera(partialTick);
-        mc.activeCamera.applyGlTransformations();
+        this.mc.activeCamera.applyGlTransformations();
 
-        if(!(mc.currentScreen instanceof ScreenPhotoMode) && !mc.gameSettings.lockCamera.value)
-        {
-            glRotatef((float) mc.activeCamera.getXRot(partialTick), 1.0F, 0.0F, 0.0F);
-            glRotatef((float) (mc.activeCamera.getYRot(partialTick) + 180F), 0.0F, 1.0F, 0.0F);
+        if (!(this.mc.currentScreen instanceof ScreenPhotoMode) && !this.mc.gameSettings.lockCamera.value) {
+            glRotatef((float) this.mc.activeCamera.getXRot(partialTick), 1.0F, 0.0F, 0.0F);
+            glRotatef((float) (this.mc.activeCamera.getYRot(partialTick) + 180F), 0.0F, 1.0F, 0.0F);
         }
 
-        if (mc.currentScreen instanceof ScreenPhotoMode)
-        {
-            glRotatef(((ScreenPhotoMode)mc.currentScreen).getTilt(partialTick), 1.0F, 0.0F, 0.0F);
-            glRotatef(45f + 45F * ((ScreenPhotoMode)mc.currentScreen).getRotation(partialTick), 0.0F, 1.0F, 0.0F);
+        if (this.mc.currentScreen instanceof ScreenPhotoMode) {
+            glRotatef(((ScreenPhotoMode) this.mc.currentScreen).getTilt(partialTick), 1.0F, 0.0F, 0.0F);
+            glRotatef(45f + 45F * ((ScreenPhotoMode) this.mc.currentScreen).getRotation(partialTick), 0.0F, 1.0F, 0.0F);
         }
     }
 
     public @NotNull Matrix4f orientCamera(@NotNull Matrix4f matrix, float partialTick) {
         setupCamera(partialTick);
 
-        if(!(mc.currentScreen instanceof ScreenPhotoMode) && !mc.gameSettings.lockCamera.value) {
-            matrix.rotate(org.joml.Math.toRadians((float) mc.activeCamera.getXRot(partialTick)), 1.0F, 0.0F, 0.0F);
-            matrix.rotate(org.joml.Math.toRadians((float) (mc.activeCamera.getYRot(partialTick) + 180F)), 0.0F, 1.0F, 0.0F);
+        if (!(this.mc.currentScreen instanceof ScreenPhotoMode) && !this.mc.gameSettings.lockCamera.value) {
+            matrix.rotate(org.joml.Math.toRadians((float) this.mc.activeCamera.getXRot(partialTick)), 1.0F, 0.0F, 0.0F);
+            matrix.rotate(org.joml.Math.toRadians((float) (this.mc.activeCamera.getYRot(partialTick) + 180F)), 0.0F, 1.0F, 0.0F);
         }
 
-        if (mc.currentScreen instanceof ScreenPhotoMode screenPhotoMode) {
+        if (this.mc.currentScreen instanceof ScreenPhotoMode screenPhotoMode) {
             matrix.rotate(org.joml.Math.toRadians(screenPhotoMode.getTilt(partialTick)), 1.0F, 0.0F, 0.0F);
             matrix.rotate(org.joml.Math.toRadians(45f + 45F * screenPhotoMode.getRotation(partialTick)), 0.0F, 1.0F, 0.0F);
         }
@@ -374,37 +353,32 @@ public class WorldRenderer
     }
 
     @Deprecated
-    private void setupCameraTransform(final float partialTicks)
-    {
+    private void setupCameraTransform(final float partialTicks) {
         this.farPlaneDistance = this.mc.gameSettings.renderDistance.value * 16;
         glMatrixMode(GL_PROJECTION);
         glLoadIdentity();
         float fov = getFOVModifier(partialTicks, true);
-        if(this.zooming) {
+        if (this.zooming) {
             fov = getZoomedFOV(fov, partialTicks);
         } else {
             this.zoomProgress = 0;
         }
-        if (this.mc.currentScreen instanceof ScreenPhotoMode)
-        {
+        if (this.mc.currentScreen instanceof ScreenPhotoMode) {
             final double div = java.lang.Math.pow(2, ((ScreenPhotoMode) this.mc.currentScreen).getZoom(partialTicks));
             glTranslatef(1, 1, 0);
             glOrtho(0, this.mc.gameWindow.getWidthPixels() / div, 0, this.mc.gameWindow.getHeightPixels() / div, this.farPlaneDistance * -2.0f, this.farPlaneDistance * 2.0f);
             glTranslatef(((ScreenPhotoMode) this.mc.currentScreen).getPanX(partialTicks), -((ScreenPhotoMode) this.mc.currentScreen).getPanY(partialTicks), 0);
-        } else
-        {
+        } else {
             GLU.gluPerspective(fov, (float) this.mc.gameWindow.getWidthPixels() / (float) this.mc.gameWindow.getHeightPixels(), 0.05F, this.farPlaneDistance * 2.0F);
         }
         glMatrixMode(GL_MODELVIEW);
         glLoadIdentity();
         hurtCameraEffect(partialTicks);
-        if(this.mc.gameSettings.viewBobbing.value && !(this.mc.currentScreen instanceof ScreenPhotoMode))
-        {
+        if (this.mc.gameSettings.viewBobbing.value && !(this.mc.currentScreen instanceof ScreenPhotoMode)) {
             setupViewBobbing(partialTicks, false);
         }
         final float portalIntensity = this.mc.gameSettings.screenMotionEffects.value ? MathHelper.lerp(this.mc.thePlayer.prevTimeInPortal, this.mc.thePlayer.timeInPortal, partialTicks) : 0f;
-        if(portalIntensity > 0.0F)
-        {
+        if (portalIntensity > 0.0F) {
             float f3 = 5F / (portalIntensity * portalIntensity + 5F) - portalIntensity * 0.04F;
             f3 *= f3;
             glRotatef(((float) this.rendererUpdateCount + partialTicks) * 20F, 0.0F, 1.0F, 1.0F);
@@ -417,7 +391,7 @@ public class WorldRenderer
     public @NotNull Matrix4f getProjectionMatrix(@NotNull Matrix4f matrix, float partialTick) {
         this.farPlaneDistance = this.mc.gameSettings.renderDistance.value * 16;
         float fov = getFOVModifier(partialTick, true);
-        if(this.zooming) {
+        if (this.zooming) {
             fov = getZoomedFOV(fov, partialTick);
         } else {
             this.zoomProgress = 0;
@@ -426,7 +400,7 @@ public class WorldRenderer
             final double div = java.lang.Math.pow(2, screenPhotoMode.getZoom(partialTick));
             matrix.translate(1, 1, 0);
             matrix.ortho(0f, (float) (this.mc.gameWindow.getWidthPixels() / div), 0f, (float) (this.mc.gameWindow.getHeightPixels() / div), this.farPlaneDistance * -2.0f, this.farPlaneDistance * 2.0f);
-            matrix.translate(screenPhotoMode.getPanX(partialTick), -((ScreenPhotoMode) this.mc.currentScreen).getPanY(partialTick), 0);
+            matrix.translate(screenPhotoMode.getPanX(partialTick), -screenPhotoMode.getPanY(partialTick), 0);
         } else {
             matrix.identity().perspective(org.joml.Math.toRadians(fov), (float) this.mc.gameWindow.getWidthPixels() / (float) this.mc.gameWindow.getHeightPixels(), 0.05F, this.farPlaneDistance * 2.0F);
         }
@@ -441,7 +415,7 @@ public class WorldRenderer
         }
 
         final float portalIntensity = this.mc.gameSettings.screenMotionEffects.value ? MathHelper.lerp(this.mc.thePlayer.prevTimeInPortal, this.mc.thePlayer.timeInPortal, partialTick) : 0f;
-        if(portalIntensity > 0.0F) {
+        if (portalIntensity > 0.0F) {
             float f3 = 5F / (portalIntensity * portalIntensity + 5F) - portalIntensity * 0.04F;
             f3 *= f3;
             matrix.rotate(org.joml.Math.toRadians(((float) this.rendererUpdateCount + partialTick) * 20F), 0.0F, 1.0F, 1.0F);
